REM this SQL shows blocks cached in the SGA for ORABM objects

column name format a40

select blocks.name,cnt,blocks,round(100*cnt/blocks) cached from
(select name,cnt from
(select objd,count(*) cnt from v$bh group by objd) cnt,
(select object_id,owner||'.'||object_name name from dba_objects where owner='ORABM') obj
where cnt.objd = obj.object_id) cached,
(select owner||'.'||segment_name name,blocks from dba_segments where owner='ORABM') blocks
where cached.name=blocks.name order by 4 desc;

