REM cache benchmark table data in SGA
alter table ORABM.CUSTOMER cache;
select /*+ full(t) */ count(*) from ORABM.CUSTOMER t;     
alter table ORABM.DISTRICT cache;
select /*+ full(t) */ count(*) from ORABM.DISTRICT t;     
alter table ORABM.ORDERS cache;
select /*+ full(t) */ count(*) from ORABM.ORDERS t;         
alter table ORABM.ORDER_LINE cache;
select /*+ full(t) */ count(*) from ORABM.ORDER_LINE t; 
alter table ORABM.STOCK cache;
select /*+ full(t) */ count(*) from ORABM.STOCK t;           

REM index range scans to cache indexes
select /*+ index(c customer_i1) */ count(*) from orabm.customer c where c_w_id >0;
select /*+ index(c customer_i2) */ count(*) from orabm.customer c where c_last > ' ';
select /*+ index(i item_i1) */ count(*) from orabm.item i where i_id >0;
select /*+ index(ol order_line_i1) */ count(*) from orabm.order_line ol where ol_w_id >0;
select /*+ index(o orders_i1) */ count(*) from orabm.orders o where o_w_id >0;
select /*+ index(o orders_i2) */ count(*) from orabm.orders o where o_w_id >0;
select /*+ index(s stock_i1) */ count(*) from orabm.stock s where s_i_id >0;

exit
