/*
 *
 * same indexes as used by Oracle record breaking 32-CPU
 * RAC TPC-C benchmark on Linux - Sept 2002 
 *
 * Geoff Ingram (geoff@dbcool.com)
 */

alter session set sort_area_size=5000000;

CREATE UNIQUE INDEX ORABM.CUSTOMER_I1
ON ORABM.CUSTOMER ( C_W_ID, C_D_ID, C_ID) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.CUSTOMER_I2
ON ORABM.CUSTOMER
( C_LAST, C_W_ID, C_D_ID, C_FIRST, C_ID) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.DISTRICT_I1
ON ORABM.DISTRICT
( D_W_ID, D_ID) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.ITEM_I1
ON ORABM.ITEM
( I_ID) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.NEW_ORDER_I1
ON ORABM.NEW_ORDER
( NO_W_ID, NO_D_ID, NO_O_ID) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.ORDERS_I1
ON ORABM.ORDERS
( O_W_ID, O_D_ID, O_ID) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.ORDERS_I2
ON ORABM.ORDERS
(O_W_ID, O_D_ID, O_C_ID, O_ID) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.ORDER_LINE_I1
ON ORABM.ORDER_LINE
( OL_W_ID, OL_D_ID, OL_O_ID, OL_NUMBER) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.STOCK_I1
ON ORABM.STOCK
( S_I_ID, S_W_ID) PCTFREE 10;


CREATE UNIQUE INDEX ORABM.WAREHOUSE_I1
ON ORABM.WAREHOUSE
( W_ID) PCTFREE 10;
 
exit
